ocs(1)

NAME
ocs - creates and maintains the database for cscope on a recursive directory set

SYNOPSIS
ocs [-x] [-f] [-q] [-u]

DESCRIPTION
This manual page briefly documents ocs , a shell script wrapper that automates the creation and maintenance of a cscope(1) database on a recursive set of directories. Under normal circumstances, ocs generates a cscope database on a recursive group of directories starting from the current working directory, before launching cscope(1) in interactive mode.

OPTIONS

-x  Enable debugging.

-f  Force. Do not ask about regenerating 'TMP' lists (lists generated by ocs ), just do it; Allow the regeneration of 'CSD' (lists generated by cscope(1) ) lists.

-q  Tell cscope to build a fast reverse index. Database disk space usage is doubled, but searching speed is increased.

-u  Request that the database be updated or regenerated.

FILES

./cscope.rc
    If this is an executable shell script, it will be included in the body of ocs in order to override intenal filenames and other options. See the comments at the top of /usr/bin/ocs for more information.

BUGS
None noted.

SEE ALSO
cscope(1), /usr/bin/ocs.

AUTHORS
This manpage originally prepared by Nick Rusnov <nick@grawk.net> for the Debian Project.